Language.Haskell.HLint3

hlint

applyHints

# Idea data type

data Idea

data Severity

data Note

# Settings

data Classify

getHLintDataDir

autoSettings

argsSettings

findSettings

readSettingsFile

# Hints

data HintBuiltin

data HintRule

data Hint

resolveHints

# Scopes

data Scope

scopeCreate

scopeMatch

scopeMove

# Haskell-src-exts

parseModuleEx

defaultParseFlags

parseFlagsAddFixities

data ParseError

data ParseFlags

data CppFlags